#! /bin/dash
#
# create vecr.tar.gz for distribution
#

umask 022

PATH="/bin:/sbin:/usr/bin:/usr/sbin"
export PATH

HERE=`pwd`
D="/tmp/vecr"

cd .. || exit 1
rm -rf "$D"
mkdir "$D" || exit 1
cpio -pdm < "$HERE/list" "$D"

# fix a few things
#
LOG="$D/logs/LOG"
touch "$LOG"
chown root:root "$LOG"
chmod 640 "$LOG"
#
f="$D/lib/id.N"
echo "3000" > "$f"
chown root:root "$f"
chmod 640 "$f"
#
f="$D/lib/id.list"
echo "frodo 3000" > "$f"
chown root:root "$f"
chmod 640 "$f"
#
P="$D/.private/.htpasswd"
echo "frodo:upOB1I1PdHqNM" > "$P" # frodo:frodo
chown root:apache "$P"
chmod 640 "$P"

cd /tmp || exit 1
chown -Rh root:root vecr/doc vecr/src
tar cf - vecr | gzip > "$HERE/vecr.tar.gz"
rm -rf "$D"
